# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 4.304.2
%define module_name nvidia-ml-pl
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.304.2
Release: alt7
Summary: Perl bindings to the NVIDIA Management Library NVML
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NV/NVBINDING/%module_name-%module_version.tar.gz
Patch: nvidia-ml-pl-4.304.2-perl520.patch

%description
%summary

%prep
%setup -n nvidia-ml
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.txt
%perl_vendor_archlib/n*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 4.304.2-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 4.304.2-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 4.304.2-alt5
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 4.304.2-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 4.304.2-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 4.304.2-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 4.304.2-alt2.1
- rebuild with perl 5.22

* Sun Dec 21 2014 Igor Vlasenko <viy@altlinux.ru> 4.304.2-alt2
- rebuild with perl 5.20.1

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 4.304.2-alt1
- initial import by package builder

